# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-3.0.0
%global pypi_name virtualenv-api
%global underscore_name virtualenv_api

# test suite is disabled default for koji builds,
# because the tests require internet connection.
%global run_test_suite 0

Name:           python-%{pypi_name}
Version:        2.1.9
Release:        alt1_5
Summary:        An API for virtualenv/pip
Group:          Development/Python
License:        BSD
URL:            https://github.com/sjkingo/virtualenv-api
Source0:        %{pypi_name}-%{version}.tar.gz

# Add tests and LICENSE missing in sources
Patch0:         add_tests_license.patch

BuildArch:      noarch
 
BuildRequires:  python-module-setuptools
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-module-virtualenv
BuildRequires:  python-module-six
BuildRequires:  python-module-pip
BuildRequires:  git
 
BuildRequires:  python3-module-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-module-virtualenv
BuildRequires:  python3-module-six
BuildRequires:  python3-module-pip
Source44: import.info

%description
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%package -n python-module-virtualenv-api
Summary:        An API for virtualenv/pip
Provides:       python-%{pypi_name} = %{version}-%{release}
Group:          Development/Python
Requires:       python-module-six
Requires:       python-module-virtualenv
Requires:       python-module-pip
%description -n python-module-virtualenv-api
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%package -n python3-module-virtualenv-api
Summary:        An API for virtualenv/pip
Group:          Development/Python
Requires:       python3-module-six
Requires:       python3-module-virtualenv
Requires:       python3-module-pip
%description -n python3-module-virtualenv-api
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%python_build
%python3_build

%install
%python3_install
%python_install

%if 0%{run_test_suite}
%check
%{__python3} setup.py test
%endif # run_test_suite

%files -n python-module-virtualenv-api 
%doc --no-dereference LICENSE
%doc README.rst
%{python_sitelibdir_noarch}/virtualenvapi
%{python_sitelibdir_noarch}/%{underscore_name}-%{version}-py?.?.egg-info

%files -n python3-module-virtualenv-api 
%doc --no-dereference LICENSE
%doc README.rst
%{python3_sitelibdir_noarch}/virtualenvapi
%{python3_sitelibdir_noarch}/%{underscore_name}-%{version}-py?.?.egg-info



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.9-alt1_5
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.9-alt1_4
- new version

